"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runMarkupGpt = exports.hideMarkupGpt = exports.showMarkupGpt = void 0;
const effects_1 = require("./effects");
const showMarkupGpt = (view) => {
    view.dispatch({ effects: [effects_1.ShowMarkupGptEffect.of(null)] });
};
exports.showMarkupGpt = showMarkupGpt;
const hideMarkupGpt = (view) => {
    view.dispatch({ effects: [effects_1.HideMarkupGptEffect.of(null)] });
};
exports.hideMarkupGpt = hideMarkupGpt;
const runMarkupGpt = (view) => {
    if (view)
        (0, exports.showMarkupGpt)(view);
    return true;
};
exports.runMarkupGpt = runMarkupGpt;
