import type { Action, ExtensionAuto } from '../../../core';
import { MathNodeViewOptions } from './view-and-edit';
export { MathNode, mathBType, mathIType } from './MathSpecs';
export { MathBlockNodeView, MathInlineNodeView } from './view-and-edit';
declare const mathIAction = "addMathInline";
declare const mathBAction = "toMathBlock";
export declare type MathOptions = Pick<MathNodeViewOptions, 'loadRuntimeScript' | 'sanitize' | 'katexOptions'>;
export declare const Math: ExtensionAuto<MathOptions>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [mathIAction]: Action;
            [mathBAction]: Action;
        }
    }
}
