"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Resizable = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const classname_1 = require("../../../classname");
const b = (0, classname_1.cn)('resizable');
const Resizer = ({ onMouseDown, direction }) => (react_1.default.createElement("div", { className: b('resizer-wrapper', { [direction]: true }), role: "button", tabIndex: 0, onMouseDown: onMouseDown },
    react_1.default.createElement("div", { className: b('resizer') })));
const Resizable = ({ hover, resizing, children, onResizeLeft, onResizeRight, }) => (react_1.default.createElement("div", { className: b({ hover, resizing }) },
    children,
    react_1.default.createElement(Resizer, { onMouseDown: onResizeLeft, direction: "left" }),
    react_1.default.createElement(Resizer, { onMouseDown: onResizeRight, direction: "right" })));
exports.Resizable = Resizable;
