"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Video = exports.videoType = exports.videoNodeName = void 0;
const VideoSpecs_1 = require("./VideoSpecs");
const actions_1 = require("./actions");
const const_1 = require("./const");
var VideoSpecs_2 = require("./VideoSpecs");
Object.defineProperty(exports, "videoNodeName", { enumerable: true, get: function () { return VideoSpecs_2.videoNodeName; } });
Object.defineProperty(exports, "videoType", { enumerable: true, get: function () { return VideoSpecs_2.videoType; } });
const Video = (builder, opts) => {
    builder.use(VideoSpecs_1.VideoSpecs, opts);
    builder.addAction(const_1.vAction, () => actions_1.addVideo);
};
exports.Video = Video;
