"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultPreset = void 0;
const markdown_1 = require("../extensions/markdown");
const commonmark_1 = require("./commonmark");
const DefaultPreset = (builder, opts) => {
    var _a;
    builder.use(commonmark_1.CommonMarkPreset, opts);
    builder.use(markdown_1.Strike, (_a = opts.strike) !== null && _a !== void 0 ? _a : {});
    builder.use(markdown_1.Table);
};
exports.DefaultPreset = DefaultPreset;
