"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Toolbar = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const classname_1 = require("../classname");
const ToolbarGroup_1 = require("./ToolbarGroup");
const b = (0, classname_1.cn)('toolbar');
function Toolbar({ editor, data, className, focus, onClick }) {
    return (react_1.default.createElement("div", { className: b(null, [className]) }, data.map((group, index) => {
        const isLastGroup = index === data.length - 1;
        return (react_1.default.createElement(react_1.default.Fragment, { key: index },
            react_1.default.createElement(ToolbarGroup_1.ToolbarButtonGroup, { data: group, editor: editor, focus: focus, onClick: onClick, className: b('group') }),
            isLastGroup || react_1.default.createElement("div", { className: b('group-separator') })));
    })));
}
exports.Toolbar = Toolbar;
