import React, { RefObject } from 'react';
import { FileFormProps } from '../../../forms/FileForm';
import type { ToolbarBaseProps } from '../../../toolbar';
import { BatchUploadResult, FileUploadHandler } from '../../../utils/upload';
export declare type ToolbarFilePopupProps = Omit<ToolbarBaseProps<never>, 'editor'> & {
    hide: () => void;
    anchorRef: RefObject<HTMLElement>;
    uploadHandler?: FileUploadHandler;
    onSuccessUpload?: (result: BatchUploadResult) => void;
} & Pick<FileFormProps, 'onSubmit'>;
export declare const ToolbarFilePopup: React.FC<ToolbarFilePopupProps>;
