import { NodeType } from 'prosemirror-model';
import { PluginView } from 'prosemirror-state';
import { EditorView } from 'prosemirror-view';
import { TableCellFloatingButtonActions } from './floating';
declare type MixedNodeType = NodeType | NodeType[];
export declare class TableCellContextView implements PluginView {
    #private;
    private static findCellDom;
    constructor(view: EditorView, actions: TableCellFloatingButtonActions, cellNodeType: MixedNodeType);
    update(view: EditorView): void;
    destroy(): void;
}
export {};
