import type { Action, ExtensionAuto } from '../../../core';
export { underlineMarkName, underlineType } from './UnderlineSpecs';
/** @deprecated Use `underlineMarkName` instead */
export declare const underline = "ins";
declare const undAction = "underline";
export declare type UnderlineOptions = {
    underlineKey?: string | null;
};
export declare const Underline: ExtensionAuto<UnderlineOptions>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [undAction]: Action;
        }
    }
}
