import type { Command } from 'prosemirror-state';
export declare const exitFromNoteTitle: Command;
export declare const liftEmptyBlockFromNote: Command;
/**
 * Deletes the note if the cursor is at the beginning of the title.
 * Note will be replaced with his title converted to paragraph and his content.
 */
export declare const removeNote: Command;
/**
 * If the cursor is at the beginning of the first paragraph in note's content,
 * moves the cursor to the end of the note's title.
 */
export declare const backToNoteTitle: Command;
