import React from 'react';
import { ClassNameProps } from '../classname';
import './ImageForm.css';
export declare type ImageFormSubmitParams = {
    url: string;
    name: string;
    alt: string;
    width?: number;
    height?: number;
};
export declare type ImageFormProps = ClassNameProps & {
    autoFocus?: boolean;
    onSubmit(params: ImageFormSubmitParams): void;
    onCancel(): void;
    onAttach?: (files: File[]) => void;
    loading?: boolean;
};
export declare const ImageForm: React.FC<ImageFormProps>;
