import { Command } from 'prosemirror-state';
export declare const ignoreIfCursorInsideMathInline: Command;
/**
 * If cursor at the beginning of MathInline:
 * - if math is empty – remove anchor
 * - if math has content – select node with NodeSelection
 */
export declare const removeEmptyMathInlineIfCursorIsAtBeginning: Command;
/**
 * Handle cursor movement to the right at the boundary of a MathInline block
 */
export declare const moveCursorRightOfMathInline: Command;
/**
 * Handle cursor movement to the left at the boundary of a MathInline block
 */
export declare const moveCursorLeftOfMathInline: Command;
