import type { Action, ExtensionAuto } from '../../../core';
import { HighlightLangMap } from './CodeBlockHighlight/CodeBlockHighlight';
import { CodeBlockSpecsOptions } from './CodeBlockSpecs';
import { cbAction } from './const';
export { resetCodeblock } from './commands';
export { codeBlockNodeName, CodeBlockNodeAttr, codeBlockLangAttr, codeBlockType, } from './CodeBlockSpecs';
export declare type CodeBlockOptions = CodeBlockSpecsOptions & {
    codeBlockKey?: string | null;
    langs?: HighlightLangMap;
};
export declare const CodeBlock: ExtensionAuto<CodeBlockOptions>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [cbAction]: Action;
        }
    }
}
