"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parserTokens = void 0;
const const_1 = require("./const");
exports.parserTokens = {
    [const_1.HtmlNode.Block]: {
        name: const_1.HtmlNode.Block,
        type: 'node',
        noCloseToken: true,
        getAttrs: (token) => ({
            [const_1.HtmlAttr.Content]: token.content,
        }),
    },
    [const_1.HtmlNode.Inline]: {
        name: const_1.HtmlNode.Inline,
        type: 'node',
        noCloseToken: true,
        getAttrs: (token) => ({
            [const_1.HtmlAttr.Content]: token.content,
        }),
    },
};
