import { Transaction } from 'prosemirror-state';
import { ExtensionDeps } from '../../../../core';
import { FileUploadHandler } from '../../../../utils/upload';
export declare const addWidget: (tr: Transaction, deps: ExtensionDeps, opts: ImageWidgetDescriptorOpts) => Transaction;
export declare const removeWidget: (tr: Transaction, id: string) => Transaction;
export declare type ImageWidgetDescriptorOpts = {
    needToSetDimensionsForUploadedImages: boolean;
    uploadImages?: FileUploadHandler;
};
