"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.YfmFile = void 0;
const YfmFilePaste_1 = require("./YfmFilePaste");
const YfmFileSpecs_1 = require("./YfmFileSpecs");
const YfmFileWidget_1 = require("./YfmFileWidget");
const YfmFile = (builder, opts = {}) => {
    builder.use(YfmFileSpecs_1.YfmFileSpecs, opts);
    builder.use(YfmFileWidget_1.YfmFileWidget, opts);
    if (opts.fileUploadHandler) {
        builder.use(YfmFilePaste_1.YfmFilePaste, {
            fileUploadHandler: opts.fileUploadHandler,
            needToSetDimensionsForUploadedImages: Boolean(opts.needToSetDimensionsForUploadedImages),
        });
    }
};
exports.YfmFile = YfmFile;
