import type { NodeSpec } from 'prosemirror-model';
import type { ExtensionAuto } from '../../../../core';
export { NoteNode as YfmNoteNode } from './const';
export { noteType, noteTitleType } from './utils';
export declare type YfmNoteSpecsOptions = {
    /**
     * @deprecated: use placeholder option in BehaviorPreset instead.
     */
    yfmNoteTitlePlaceholder?: NonNullable<NodeSpec['placeholder']>['content'];
};
export declare const YfmNoteSpecs: ExtensionAuto<YfmNoteSpecsOptions>;
