export declare const i18n: <G extends "error" | "replace" | "answer-title" | "close-button" | "dislike" | "feedback-message" | "fresh-start-button" | "like" | "more" | "only-presets-title" | "refetch" | "replace-disabled" | "try-again" | "alert-gpt-presets-info", S extends string>(key: G | (string extends S ? S : never), params?: {
    [key: string]: any;
} | undefined) => S extends G ? {
    "answer-title": string;
    "close-button": string;
    dislike: string;
    error: string;
    "feedback-message": string;
    "fresh-start-button": string;
    like: string;
    more: string;
    "only-presets-title": string;
    refetch: string;
    replace: string;
    "replace-disabled": string;
    "try-again": string;
    "alert-gpt-presets-info": string;
}[G] : string;
export declare type I18nKey = Parameters<typeof i18n>[0];
