export declare const i18n: <G extends "confirm-cancel" | "confirm-ok" | "confirm-title" | "help-with-text", S extends string>(key: G | (string extends S ? S : never), params?: {
    [key: string]: any;
} | undefined) => S extends G ? {
    "confirm-cancel": string;
    "confirm-ok": string;
    "confirm-title": string;
    "help-with-text": string;
}[G] : string;
export declare type I18nKey = Parameters<typeof i18n>[0];
