"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const uikit_1 = require("@gravity-ui/uikit");
const GPTIcon = () => {
    // It may be worth taking the hook outside the icon
    const theme = (0, uikit_1.useTheme)();
    const gradient = theme === 'dark' || theme === 'dark-hc' ? (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("stop", { stopColor: "#FF7233" }),
        react_1.default.createElement("stop", { offset: "1", stopColor: "#D14DFF" }))) : (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("stop", { stopColor: "#FF5001" }),
        react_1.default.createElement("stop", { offset: "1", stopColor: "#BD00FF" })));
    return (react_1.default.createElement("svg", { width: "16", height: "16", viewBox: "0 0 16 16", fill: "none", xmlns: "http://www.w3.org/2000/svg" },
        react_1.default.createElement("g", { clipPath: "url(#clip0_1608_24154)" },
            react_1.default.createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M0 6C0 2.68629 2.68629 -4.3454e-07 6 0C9.31371 4.3454e-07 12 2.68629 12 6C12 9.31371 9.31371 12 6 12C2.68629 12 -6.0141e-07 9.31371 0 6ZM14 16C12.8954 16 12 15.1046 12 14C12 12.8954 12.8954 12 14 12C15.1046 12 16 12.8954 16 14C16 15.1046 15.1046 16 14 16Z", fill: "url(#paint0_linear_1608_24154)" })),
        react_1.default.createElement("defs", null,
            react_1.default.createElement("linearGradient", { id: "paint0_linear_1608_24154", x1: "17.5", y1: "-1", x2: "2.5", y2: "13.5", gradientUnits: "userSpaceOnUse" }, gradient),
            react_1.default.createElement("clipPath", { id: "clip0_1608_24154" },
                react_1.default.createElement("rect", { width: "16", height: "16", fill: "white" })))));
};
exports.default = GPTIcon;
