"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createToggleMarkAction = exports.defineActions = void 0;
const prosemirror_commands_1 = require("prosemirror-commands");
const marks_1 = require("./marks");
function defineActions(actions) {
    return actions;
}
exports.defineActions = defineActions;
function createToggleMarkAction(markType) {
    const command = (0, prosemirror_commands_1.toggleMark)(markType);
    return {
        isActive: (state) => Boolean((0, marks_1.isMarkActive)(state, markType)),
        isEnable: command,
        run: command,
    };
}
exports.createToggleMarkAction = createToggleMarkAction;
