import React from 'react';
import { insertFiles } from '../../../markup/commands';
import { ToolbarFilePopup } from '../custom/ToolbarFilePopup';
import { useMarkupToolbarContext } from './context';
export const MToolbarFilePopup = ({ focus, onClick, hide, anchorRef, editor, className, }) => {
    const { uploadHandler } = useMarkupToolbarContext();
    return (React.createElement(ToolbarFilePopup, { hide: hide, focus: focus, onClick: onClick, anchorRef: anchorRef, className: className, onSubmit: (fileParams) => insertFiles([fileParams])(editor.cm), uploadHandler: uploadHandler, onSuccessUpload: (res) => {
            insertFiles(res.success.map(({ result, file }) => {
                var _a, _b;
                return ({
                    src: result.url,
                    name: (_a = result.name) !== null && _a !== void 0 ? _a : file.name,
                    type: (_b = result.type) !== null && _b !== void 0 ? _b : file.type,
                });
            }))(editor.cm);
        } }));
};
