import { HideMarkupGptEffect, ShowMarkupGptEffect } from './effects';
export const showMarkupGpt = (view) => {
    view.dispatch({ effects: [ShowMarkupGptEffect.of(null)] });
};
export const hideMarkupGpt = (view) => {
    view.dispatch({ effects: [HideMarkupGptEffect.of(null)] });
};
export const runMarkupGpt = (view) => {
    if (view)
        showMarkupGpt(view);
    return true;
};
