import { TabsNode } from './const';
const attrsFromEntries = (token) => (token.attrs ? Object.fromEntries(token.attrs) : {});
export const parserTokens = {
    [TabsNode.TabPanel]: {
        name: TabsNode.TabPanel,
        type: 'block',
        getAttrs: attrsFromEntries,
    },
    [TabsNode.Tab]: {
        name: TabsNode.Tab,
        type: 'block',
        getAttrs: attrsFromEntries,
    },
    [TabsNode.Tabs]: {
        name: TabsNode.Tabs,
        type: 'block',
        getAttrs: attrsFromEntries,
    },
    [TabsNode.TabsList]: {
        name: TabsNode.TabsList,
        type: 'block',
        getAttrs: attrsFromEntries,
    },
    [TabsNode.RadioTabs]: {
        name: TabsNode.RadioTabs,
        type: 'block',
        getAttrs: attrsFromEntries,
    },
    [TabsNode.RadioTab]: {
        name: TabsNode.RadioTab,
        type: 'block',
        getAttrs: attrsFromEntries,
    },
    [TabsNode.RadioTabInput]: {
        name: TabsNode.RadioTabInput,
        type: 'node',
        getAttrs: attrsFromEntries,
    },
    [TabsNode.RadioTabLabel]: {
        name: TabsNode.RadioTabLabel,
        type: 'block',
        getAttrs: attrsFromEntries,
    },
};
