import React from 'react';
import { PopupProps, SelectOption, SelectOptionGroup } from '@gravity-ui/uikit';
declare type TooltipButtonProps = Pick<PopupProps, 'onOutsideClick'> & {
    domRef: HTMLElement | null;
    buttonTitle?: string;
    items?: SelectOption[] | SelectOptionGroup[];
    onUpdate: (s: string) => void;
    withSearch?: boolean;
};
export declare const TooltipButton: React.FC<TooltipButtonProps>;
export {};
