/// <reference types="react" />
import { ToolbarProps } from './Toolbar';
import { ToolbarItemData } from './types';
import './FlexToolbar.css';
export declare type FlexToolbarProps<E> = ToolbarProps<E> & {
    dotsTitle: string | (() => string);
    hiddenActions?: ToolbarItemData<E>[];
};
export declare function FlexToolbar<E>(props: FlexToolbarProps<E>): JSX.Element;
