import type { ToolbarData } from './Toolbar';
import { ToolbarItemData } from './types';
export declare type ShrinkToolbarDataParams<E> = {
    data: ToolbarData<E>;
    availableWidth: number;
    hiddenActions?: ToolbarItemData<E>[];
};
export declare function shrinkToolbarData<E>({ availableWidth, data, hiddenActions, }: ShrinkToolbarDataParams<E>): {
    data: ToolbarData<E>;
    dots?: ToolbarItemData<E>[];
};
