export const findMark = (node, markType) => {
    return node.marks.find((mark) => mark.type.name === markType.name);
};
export function isMarkActive(state, type) {
    const { from, $from, to, empty } = state.selection;
    if (empty) {
        return type.isInSet(state.storedMarks || $from.marks());
    }
    return state.doc.rangeHasMark(from, to, type);
}
